# Package up the bbfig script
# By Scott Pakin <pakin@uiuc.edu>

Name:      bbfig
Version:   1.14
Release:   2
Vendor:    Scott Pakin <pakin@uiuc.edu>
Source:    ftp://ftp.dante.de/tex-archive/support/bbfig.tar.gz
Group:     Applications/Publishing
Summary:   Determine the bounding box of a PostScript file
Copyright: Unknown
URL:       ftp://ftp.dante.de/tex-archive/support/bbfig/
BuildRoot: /var/tmp/%{name}-%{version}
Prefix:    /usr
BuildArchitectures: noarch
Patch0:    bbfig-1.14-location.patch
Patch1:    bbfig-1.14-stdout.patch

%description
bbfig determines the bounding box of a PostScript figure.  This is useful,
for example, when trying to convert a page of PostScript into an
Encapsulated PostScript figure for inclusion in a document.

%prep
%setup -n %{name}
%patch -P 0
%patch -P 1

%build
cat <<EOF > README.RPM
I made the following two patches to bbfig while packaging it.  First, I
modified the bbfig script so that BBPSDIR defaults to the share directory
instead of the directory containing bbfig (bin).  Second, I hacked up bb.ps
to additionally output the %%BoundingBox line to standard output.  Thus,
one can do a:

     bbfig myfigure.ps | gs -q -dNODISPLAY -

and then copy and paste the output into myfigure.ps.  (For really stubborn
PostScript files, I've found that something like:

     bbfig myfigure.ps | gs -dNOPLATFONTS -sDEVICE=pswrite -dNOPAUSE -dQUIET -dSAFER -sOutputFile=/dev/null -

will almost always get the job done.)

                                               Scott Pakin, pakin@uiuc.edu
                                               2 March 2000
EOF


%install
install -d $RPM_BUILD_ROOT/usr/{bin,man/man1,share}
install -m 755 bbfig $RPM_BUILD_ROOT/usr/bin/bbfig
install -m 644 bb.ps $RPM_BUILD_ROOT/usr/share/bb.ps
install -m 644 bbfig.man $RPM_BUILD_ROOT/usr/man/man1/bbfig.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd $RPM_INSTALL_PREFIX/bin
cp -p bbfig bbfig.TMP
cat bbfig.TMP | sed "s:/usr:$RPM_INSTALL_PREFIX:g" > bbfig
rm bbfig.TMP

%files
%defattr(-, root, root)
# QUESTION: Should bbfig specify %verify?  It's modified when an install
#           prefix is used?
/usr/bin/bbfig
/usr/share/bb.ps
/usr/man/man1/bbfig.1
%doc author.note
%doc installation
%doc README.RPM

%changelog
* Thu Mar 02 2000 Scott Pakin <pakin@uiuc.edu>
- Corrected bbfig-1.14-location.patch
- Modified README.RPM

* Wed Feb 23 2000 Scott Pakin <pakin@uiuc.edu>
- Initial version
